<?php
$config = array(
	'EvContactForm' => array(
		'Ask an expert'  => array(
			'form' => array(
				'class' => ''
			),
			'name_label' => 'name',
			'flash_message' => true,
			'submit' => array(
				'class' => 'button--black',
				'div' => false,
				'type' => 'button',
				'id' => 'ask_submit',
				'escape' => false,
				'label' => false,
				'button_text' => 'Ask Question <i class="fa fa-right fa-arrow-circle-right"></i>',
			),
			'fields' => array(
				'name' => array(
					'type' => 'string',
					'label' => false,
					'data-value' => 'Name',
					'class' => 'required',
					'div' => 'input',
					'validate' => array(
						'required' => array(
							'rule' => 'notEmpty',
							'message' => 'You must fill out your name'
						)
					)
				),
				'email' => array(
					'type' => 'string',
					'label' => false,
					'data-value' => 'Email',
					'class' => 'email required',
					'div' => 'input',
					'validate' => array(
						'required' => array(
							'rule' => 'notEmpty',
							'message' => 'You must fill out your email'
						)
					)
				),
				'question' => array(
					'type' => 'text_plain',
					'label' => false,
					'data-value' => 'Question',
					'class' => 'required',
					'div' => 'input',
					'validate' => array(
						'required' => array(
							'rule' => 'notEmpty',
							'message' => 'You must fill out your question'
						)
					)
				),
			)
		),
		'Enquiry Form' => array(
			'form' => array(
				'class' => ' light'
			),
			'flash_message' => true,
			'name_label' => 'name',
			'submit' => array(
				'class' => 'button--black',
				'div' => 'input',
				'type' => 'button',
				'id' => 'enquiry_submit',
				'escape' => false,
				'label' => '&nbsp;',
				'button_text' => 'Send Enquiry <i class="fa fa-right fa-arrow-circle-right"></i>',
			),
			'fields' => array(
				'name' => array(
					'type' => 'string',
					'label' => '* Name',
					'admin-label' => 'Name',
					'class' => 'required',
					'div' => 'input',
					'validate' => array(
						'required' => array(
							'rule' => 'notEmpty',
							'message' => 'You must fill out your name'
						)
					)
				),
				'email' => array(
					'type' => 'string',
					'label' => '* Email',
					'admin-label' => 'Email',
					'class' => 'email required',
					'div' => 'input',
					'validate' => array(
						'required' => array(
							'rule' => 'notEmpty',
							'message' => 'You must fill out your email'
						)
					)
				),
				'phone' => array(
					'type' => 'string',
					'label' => 'Phone',
					'class' => 'phone',
					'div' => 'input'
				),
				'company' => array(
					'type' => 'string',
					'label' => '* Company',
					'admin-label' => 'Company',
					'class' => 'required',
					'div' => 'input',
					'validate' => array(
						'required' => array(
							'rule' => 'notEmpty',
							'message' => 'You must fill out your company name'
						)
					)
				),
				'postcode' => array(
					'type' => 'string',
					'label' => '* Postcode',
					'admin-label' => 'Postcode',
					'class' => 'required',
					'div' => 'input',
					'validate' => array(
						'required' => array(
							'rule' => 'notEmpty',
							'message' => 'You must fill out your postcode'
						)
					)
				),
				'subject' => array(
					'type' => 'string',
					'label' => 'Subject',
					'class' => '',
					'div' => 'input'
				),
				'message' => array(
					'type' => 'text_plain',
					'label' => '* Message',
					'admin-label' => 'Message',
					'class' => 'required',
					'div' => 'input',
					'validate' => array(
						'required' => array(
							'rule' => 'notEmpty',
							'message' => 'You must fill out a message'
						)
					)
				),
				'origin' => array(
					'type' => 'hidden',
					'label' => 'Regarding',
					'class' => 'enquiry-origin',
					'div' => 'input'
				),
			)
		)
	)
);